How to downgrade packages that are updated by adding PPA?

Forum rules
Before you post please read how to get help
SMIT
Level 1
Level 1
Posts: 3
Joined: Fri Jul 14, 2017 2:44 am

How to downgrade packages that are updated by adding PPA?

Postby SMIT » Wed Nov 01, 2017 4:32 pm

I am in horrible mess. I have added these repositories for to install gnome builder as told [here][1] and then I had did this:-`sudo apt dist-upgrade`

sudo apt-add-repository ppa:gnome3-team/gnome3-staging
sudo apt-add-repository ppa:gnome3-team/gnome3

This upgraded my os and It has broken My XFCE desktop.Please,Now I want to downgrade My OS to previous version. How can I do that . When I try to use PPA-purge then I it tryies to remove so many useful packages that I need. here is the ending of it:-

0 upgraded, 3 newly installed, 621 to remove and 0 not upgraded.
Need to get 737 kB of archives.
After this operation, 2,450 MB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'

If you want then here is **full vers**ion:-


smit@smit-Aspire-5742:~$ sudo ppa-purge ppa:gnome3-team/gnome3
Updating packages lists
PPA to be removed: gnome3-team gnome3
Package revert list generated:
gir1.2-gnomebluetooth-1.0:amd64- gir1.2-nautilus-3.0:amd64- gnome-bluetooth-
libgnome-bluetooth13:amd64- libnautilus-extension1a:amd64- nautilus-
nautilus-data-

Disabling gnome3-team PPA from
/etc/apt/sources.list.d/gnome3-team-gnome3-xenial.list
Disabling gnome3-team PPA from
/etc/apt/sources.list.d/gnome3-team-gnome3-staging-xenial.list
Updating packages lists
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
bluez-tools gnome-terminal-data libgeoclue-2-0 libtracker-sparql-1.0-0 python-setproctitle
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
xterm
Suggested packages:
xfonts-cyrillic
The following packages will be REMOVED:
blueberry file-roller gir1.2-gnomebluetooth-1.0 gir1.2-nautilus-3.0 gnome-bluetooth gnome-settings-daemon gnome-terminal libgnome-bluetooth13
libnautilus-extension1a nautilus nautilus-data nautilus-share python-nautilus
The following NEW packages will be installed:
xterm
0 upgraded, 1 newly installed, 13 to remove and 0 not upgraded.
Need to get 607 kB of archives.
After this operation, 24.8 MB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 xterm amd64 322-1ubuntu1 [607 kB]
Fetched 607 kB in 4s (131 kB/s)
(Reading database ... 529038 files and directories currently installed.)
Removing blueberry (1.1.15) ...
Removing file-roller (3.20.3-0ubuntu1~xenial1) ...
Removing gir1.2-gnomebluetooth-1.0:amd64 (3.20.0-1ubuntu1~ubuntu16.04.1) ...
Removing python-nautilus (1.1-4) ...
Removing gir1.2-nautilus-3.0:amd64 (1:3.20.3-1ubuntu2~ubuntu16.04.1) ...
Removing gnome-bluetooth (3.20.0-1ubuntu1~ubuntu16.04.1) ...
Removing gnome-settings-daemon (3.20.1-2ubuntu1~ubuntu16.04.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Selecting previously unselected package xterm.
(Reading database ... 528115 files and directories currently installed.)
Preparing to unpack .../xterm_322-1ubuntu1_amd64.deb ...
Unpacking xterm (322-1ubuntu1) ...
Processing triggers for doc-base (0.10.7) ...
Processing 2 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
(Reading database ... 528152 files and directories currently installed.)
Removing libgnome-bluetooth13:amd64 (3.20.0-1ubuntu1~ubuntu16.04.1) ...
Removing nautilus-share (0.7.3-2ubuntu1) ...
Removing nautilus (1:3.20.3-1ubuntu2~ubuntu16.04.1) ...
Removing nautilus-data (1:3.20.3-1ubuntu2~ubuntu16.04.1) ...
dpkg: gnome-terminal: dependency problems, but removing anyway as you requested:
xorg depends on xterm | x-terminal-emulator; however:
Package xterm is not configured yet.
Package x-terminal-emulator is not installed.
Package gnome-terminal which provides x-terminal-emulator is to be removed.
Package xterm which provides x-terminal-emulator is not configured yet.

Removing gnome-terminal (3.18.3-linuxmint2) ...
update-alternatives: using /usr/bin/tilix to provide /usr/bin/x-terminal-emulator (x-terminal-emulator) in auto mode
Removing libnautilus-extension1a:amd64 (1:3.20.3-1ubuntu2~ubuntu16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Setting up xterm (322-1ubuntu1) ...
PPA purged successfully
smit@smit-Aspire-5742:~$ sudo ppa-purge ppa:gnome3-team/gnome3-staging
Updating packages lists
PPA to be removed: gnome3-team gnome3-staging
Package revert list generated:
adwaita-icon-theme- adwaita-icon-theme-full- anjuta- anjuta-common- arc-theme-
autoconf-archive- baobab- cheese- cheese-common- dconf-cli- dconf-editor-
dconf-gsettings-backend:amd64- dconf-service- dconf-tools- devhelp-
devhelp-common- eog- evince- evince-common- evolution-data-server-
evolution-data-server-common- gcr- gedit- gedit-common- gedit-plugins-
gir1.2-clutter-1.0:amd64- gir1.2-cogl-1.0:amd64- gir1.2-coglpango-1.0:amd64-
gir1.2-ebook-1.2:amd64- gir1.2-ebookcontacts-1.2:amd64-
gir1.2-edataserver-1.2:amd64- gir1.2-freedesktop:amd64-
gir1.2-gdesktopenums-3.0- gir1.2-gdkpixbuf-2.0:amd64- gir1.2-glib-2.0:amd64-
gir1.2-gnomedesktop-3.0:amd64- gir1.2-goa-1.0:amd64- gir1.2-gtk-3.0:amd64-
gir1.2-gtkclutter-1.0:amd64- gir1.2-gtksource-3.0:amd64-
gir1.2-javascriptcoregtk-3.0:amd64- gir1.2-javascriptcoregtk-4.0:amd64-
gir1.2-json-1.0:amd64- gir1.2-pango-1.0:amd64- gir1.2-peas-1.0:amd64-
gir1.2-rb-3.0:amd64- gir1.2-soup-2.4- gir1.2-vte-2.91:amd64-
gir1.2-webkit-3.0:amd64- gir1.2-webkit2-4.0:amd64- gir1.2-wnck-3.0:amd64-
glade- gnome-accessibility-themes- gnome-builder- gnome-desktop3-data-
gnome-disk-utility- gnome-font-viewer- gnome-session-bin-
gnome-settings-daemon-schemas- gnome-system-monitor- gnome-terminal-data-
gnome-themes-standard:amd64- gnome-themes-standard-data-
gsettings-desktop-schemas- gtk-update-icon-cache- gtk2-engines-pixbuf:amd64-
gtk2-engines-pixbuf:i386- libanjuta-3-0- libcamel-1.2-57:amd64-
libchamplain-0.12-0:amd64- libchamplain-gtk-0.12-0:amd64-
libcheese-gtk25:amd64- libcheese8:amd64- libclutter-1.0-0:amd64-
libclutter-gtk-1.0-0:amd64- libcogl-pango20:amd64- libcogl-path20:amd64-
libcogl20:amd64- libdconf1:amd64- libdevhelp-3-2- libebackend-1.2-10:amd64-
libebook-1.2-16:amd64- libebook-contacts-1.2-2:amd64- libecal-1.2-19:amd64-
libedata-book-1.2-25:amd64- libedata-cal-1.2-28:amd64-
libedataserver-1.2-21:amd64- libevdocument3-4:amd64- libevview3-3:amd64-
libgail-3-0:amd64- libgail-common:amd64- libgail-common:i386- libgail18:amd64-
libgail18:i386- libgck-1-0:amd64- libgck-1-0:i386- libgcr-3-common-
libgcr-base-3-1:amd64- libgcr-base-3-1:i386- libgcr-ui-3-1:amd64-
libgdk-pixbuf2.0-0:amd64- libgdk-pixbuf2.0-0:i386- libgdk-pixbuf2.0-common-
libgdk-pixbuf2.0-dev- libgegl-0.3-0:amd64- libgeocode-glib0:amd64-
libgirepository-1.0-1:amd64- libgladeui-2-6- libgladeui-common-
libgnome-desktop-3-12:amd64- libgoa-1.0-0b:amd64- libgoa-1.0-common-
libgrilo-0.3-0:amd64- libgspell-1-1:amd64- libgtk-3-0:amd64- libgtk-3-bin-
libgtk-3-common- libgtk-3-dev:amd64- libgtk-3-doc- libgtk2.0-0:amd64-
libgtk2.0-0:i386- libgtk2.0-bin- libgtk2.0-common-
libgtksourceview-3.0-1:amd64- libgtksourceview-3.0-common-
libgweather-3-6:amd64- libgweather-common- libharfbuzz-dev:amd64-
libharfbuzz-gobject0:amd64- libharfbuzz-icu0:amd64- libharfbuzz0b:amd64-
libharfbuzz0b:i386- libjavascriptcoregtk-1.0-0:amd64-
libjavascriptcoregtk-3.0-0:amd64- libjavascriptcoregtk-4.0-18:amd64-
libjson-glib-1.0-0:amd64- libjson-glib-1.0-common- libpango-1.0-0:amd64-
libpango-1.0-0:i386- libpango1.0-0:amd64- libpango1.0-dev-
libpangocairo-1.0-0:amd64- libpangocairo-1.0-0:i386- libpangoft2-1.0-0:amd64-
libpangoft2-1.0-0:i386- libpangoxft-1.0-0:amd64- libpeas-1.0-0:amd64-
libpeas-common- librhythmbox-core9:amd64- librsvg2-2:amd64- librsvg2-2:i386-
librsvg2-common:amd64- librsvg2-common:i386- libsoup-gnome2.4-1:amd64-
libsoup-gnome2.4-1:i386- libsoup2.4-1:amd64- libsoup2.4-1:i386-
libtracker-sparql-1.0-0:amd64- libvala-0.32-0:amd64- libvala-0.32-dev:amd64-
libvte-2.91-0:amd64- libvte-2.91-common- libwayland-client0:amd64-
libwayland-cursor0:amd64- libwayland-dev:amd64- libwayland-server0:amd64-
libwebkit2gtk-3.0-25:amd64- libwebkit2gtk-4.0-37:amd64-
libwebkitgtk-1.0-0:amd64- libwebkitgtk-1.0-common- libwebkitgtk-3.0-0:amd64-
libwebkitgtk-3.0-common- libwnck-3-0:amd64- libwnck-3-common- libyelp0-
rhythmbox- rhythmbox-data- rhythmbox-plugin-cdrecorder- rhythmbox-plugins-
seahorse- valac-0.32-vapi- wayland-protocols- yelp- yelp-xsl- zenity-
zenity-common-

Disabling gnome3-team PPA from
/etc/apt/sources.list.d/gnome3-team-gnome3-staging-xenial.list
Updating packages lists
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
bluez-tools breeze-icon-theme cabextract clang dcraw encfs gstreamer1.0-plugins-ugly gstreamer1.0-plugins-ugly-amr icoutils icu-devtools kate-data
katepart kde-runtime-data kdelibs-bin kdelibs5-data kdelibs5-plugins kdoctools liba52-0.7.4 libasound2-dev libattica0.4 libavcodec-ffmpeg56
libavformat-ffmpeg56 libavresample-ffmpeg2 libavutil-ffmpeg54 libbasicusageenvironment1 libbluray1 libboost-serialization1.58.0 libbs2b0
libcairo-script-interpreter2 libcairo2-dev libcddb2 libchm1 libchromaprint0 libconfuse-common libconfuse0 libcrystalhd3 libdbus-1-dev libdc1394-22
libdca0 libde265-0 libdirectfb-1.2-9 libdlrestrictions1 libdvbpsi10 libebml4v5 libenca0 libepoxy-dev libexpat1-dev libfaad2 libfam0 libflite1
libfluidsynth1 libfontconfig1-dev libfreetype6-dev libgda-5.0-common libgdl-3-common libgeoclue-2-0 libgit2-24 libgit2-glib-1.0-0 libglib2.0-dev
libgme0 libgraphite2-dev libgroupsock8 libgstreamer-plugins-good1.0-0:i386 libhttp-parser2.1 libice-dev libicu-dev libiso9660-8 libjs-sphinxdoc
libjs-underscore libjson-perl libkactivities6 libkate1 libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5
libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkexiv2-11v5 libkexiv2-data libkf5auth-data libkf5codecs-data libkf5codecs5 libkf5config-data
libkf5configcore5 libkf5configwidgets-data libkf5coreaddons-data libkf5coreaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data
libkf5itemviews-data libkf5widgetsaddons-data libkf5windowsystem-data libkfile4 libkhtml5 libkio5 libkjsapi4 libkjsembed4 libkmediaplayer4
libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkprintutils4 libkpty4 libkrosscore4 libktexteditor4 libkxmlrpcclient4 liblivemedia50
libmad0 libmatroska6v5 libmimic0 libmirclient-dev libmircommon-dev libmircookie-dev libmircookie2 libmircore-dev libmjpegutils-2.1-0 libmms0
libmodplug1 libmp3lame0 libmpcdec6 libmpeg2-4 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libnl-route-3-200 libntrack-qt4-1 libntrack0 libofa0
libokularcore7 libopencv-calib3d2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-imgproc2.4v5 libopencv-ml2.4v5
libopencv-video2.4v5 libopenjpeg5 libopusfile0 libparted-fs-resize0 libpcre3-dev libpcre32-3 libpcrecpp0v5 libphobos2-ldc71 libphonon4
libpixman-1-dev libplasma3 libpng12-dev libpodofo0.9.3 libpolkit-qt-1-1 libpoppler-qt4-4 libpostproc-ffmpeg53 libprotobuf-dev libpulse-dev libqca2
libqimageblitz4 libqmobipocket1 libqt4-qt3support libqt5clucene5 libqt5script5 libqt5test5 libresid-builder0c2a librlog5v5 libschroedinger-1.0-0
libsdl-image1.2 libshine3 libsidplay1v5 libsidplay2v5 libsm-dev libsnappy1v5 libsndio-dev libsndio6.1 libsodium18 libsolid4 libsoundtouch1 libsoxr0
libspandsp2 libsrtp0 libssh-gcrypt-4 libssh2-1 libstreamanalyzer0v5 libstreams0v5 libswresample-ffmpeg1 libswscale-ffmpeg3 libtbb2 libtext-csv-perl
libthreadweaver4 libtorrent-rasterbar8 libtwolame0 libudev-dev libupnp6 libusageenvironment3 libva-drm1 libva-x11-1 libva1 libvcdinfo0 libvdpau1
libvncclient1 libvo-aacenc0 libvo-amrwbenc0 libvorbisidec1 libwayland-bin libwildmidi-config libwildmidi1 libwxbase3.0-0v5 libx264-148 libx265-79
libxcb-composite0 libxcb-shm0-dev libxcb-xv0 libxcomposite-dev libxcursor-dev libxft-dev libxi-dev libxinerama-dev libxkbcommon-dev libxrandr-dev
libxrender-dev libxss-dev libxt-dev libxtst-dev libxv-dev libxvidcore4 libzbar0 libzmq5 libzvbi-common libzvbi0 ntrack-module-libnl-0
oxygen-icon-theme oxygen5-icon-theme phonon phonon-backend-gstreamer phonon-backend-gstreamer-common plasma-scriptengine-javascript python-apsw
python-cherrypy3 python-cssselect python-cssutils python-dateutil python-markdown python-mechanize python-pyparsing python-pypdf python-repoze.lru
python-routes python-setproctitle python-wxversion python3-setproctitle python3-xapp tilix-common x11proto-composite-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-scrnsaver-dev x11proto-video-dev x11proto-xinerama-dev zlib1g-dev
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
libgpod4-nogtk pinentry-curses
Suggested packages:
pinentry-doc
The following packages will be REMOVED:
adwaita-icon-theme adwaita-icon-theme-full anjuta anjuta-common anjuta-extras aptdaemon apturl apturl-common arc-theme autoconf-archive bamfdaemon
baobab blueman bluez-obexd brasero-common calibre calibre-bin caribou catfish cheese cheese-common clamtk cndrvcups-capt cndrvcups-common code
colord compiz compiz-gnome compiz-plugins compizconfig-settings-manager cryptkeeper dconf-cli dconf-editor dconf-gsettings-backend dconf-service
dconf-tools devhelp devhelp-common eog evince evince-common evolution-data-server evolution-data-server-common exo-utils faba-icon-theme
faba-mono-icons ffmpeg firefox folks-common fwupd gcr gdebi gedit gedit-common gedit-plugins geoclue geoclue-ubuntu-geoip gimp
gir1.2-accountsservice-1.0 gir1.2-appindicator3-0.1 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-caribou-1.0 gir1.2-clutter-1.0 gir1.2-cogl-1.0
gir1.2-coglpango-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0 gir1.2-ebook-1.2 gir1.2-ebookcontacts-1.2 gir1.2-edataserver-1.2 gir1.2-freedesktop
gir1.2-gconf-2.0 gir1.2-gdata-0.0 gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0 gir1.2-git2-glib-1.0 gir1.2-gkbd-3.0 gir1.2-glib-2.0
gir1.2-gmenu-3.0 gir1.2-gnomedesktop-3.0 gir1.2-gnomekeyring-1.0 gir1.2-goa-1.0 gir1.2-gst-plugins-base-0.10 gir1.2-gst-plugins-base-1.0
gir1.2-gstreamer-0.10 gir1.2-gstreamer-1.0 gir1.2-gtk-3.0 gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gucharmap-2.90 gir1.2-gudev-1.0
gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-3.0 gir1.2-javascriptcoregtk-4.0 gir1.2-json-1.0 gir1.2-messagingmenu-1.0 gir1.2-networkmanager-1.0
gir1.2-notify-0.7 gir1.2-packagekitglib-1.0 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-polkit-1.0 gir1.2-rb-3.0 gir1.2-secret-1 gir1.2-soup-2.4
gir1.2-timezonemap-1.0 gir1.2-udisks-2.0 gir1.2-upowerglib-1.0 gir1.2-vte-2.91 gir1.2-webkit-3.0 gir1.2-webkit2-4.0 gir1.2-wnck-3.0 gir1.2-xkl-1.0
gir1.2-xplayer-1.0 gir1.2-xplayer-plparser-1.0 gir1.2-zeitgeist-2.0 gkbd-capplet gksu glade glib-networking glib-networking:i386
gnome-accessibility-themes gnome-builder gnome-calculator gnome-desktop3-data gnome-disk-utility gnome-font-viewer gnome-icon-theme
gnome-icon-theme-symbolic gnome-keyring gnome-orca gnome-session-bin gnome-session-canberra gnome-settings-daemon-schemas gnome-system-monitor
gnome-system-tools gnome-terminal-data gnome-themes-standard gnome-themes-standard-data gnome-video-effects google-chrome-stable gparted
gsettings-desktop-schemas gsettings-ubuntu-schemas gstreamer0.10-nice gstreamer0.10-plugins-good:i386 gstreamer0.10-plugins-good gstreamer0.10-x
gstreamer0.10-x:i386 gstreamer1.0-clutter gstreamer1.0-clutter-3.0 gstreamer1.0-libav gstreamer1.0-nice gstreamer1.0-plugins-bad
gstreamer1.0-plugins-bad-faad gstreamer1.0-plugins-bad-videoparsers gstreamer1.0-plugins-good gstreamer1.0-plugins-good:i386 gstreamer1.0-x
gtk-update-icon-cache gtk2-engines:i386 gtk2-engines gtk2-engines-murrine:i386 gtk2-engines-murrine gtk2-engines-oxygen:i386
gtk2-engines-pixbuf:i386 gtk2-engines-pixbuf gtk2-engines-xfce gucharmap gufw gvfs:i386 gvfs gvfs-backends gvfs-daemons gvfs-fuse gvfs-libs
gvfs-libs:i386 hplip ia32-libs ibus-gtk:i386 indicator-application indicator-sound indicator-sound-gtk2 ioquake3 kde-runtime kde-style-breeze
kde-style-breeze-qt4 libanjuta-3-0 libappindicator0.1-cil libappindicator1 libappindicator3-1 libappstream-glib8 libass5 libatk-adaptor
libatk-bridge2.0-dev libatk1.0-dev libatspi2.0-dev libavdevice-ffmpeg56 libavfilter-ffmpeg5 libbrasero-media3-1 libcaja-extension1 libcamel-1.2-57
libcanberra-gtk-module:i386 libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk0:i386 libcanberra-gtk3-0 libcanberra-gtk3-module libcaribou0
libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcheese-gtk25 libcheese8 libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0 libcogl-pango20
libcogl-path20 libcogl20 libdbusmenu-gtk3-4 libdbusmenu-gtk4 libdconf1 libdevhelp-3-2 libdmapsharing-3.0-2 libebackend-1.2-10 libebook-1.2-16
libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25 libedata-cal-1.2-28 libedataserver-1.2-21 libegl1-mesa libegl1-mesa-dev
libevdocument3-4 libevview3-3 libexo-1-0 libfarstream-0.2-5 libgail-3-0 libgail-common:i386 libgail-common libgail18 libgail18:i386 libgarcon-1-0
libgbm1 libgck-1-0 libgck-1-0:i386 libgcr-3-common libgcr-base-3-1 libgcr-base-3-1:i386 libgcr-ui-3-1 libgda-5.0-4 libgdata22 libgdk-pixbuf2.0-0
libgdk-pixbuf2.0-0:i386 libgdk-pixbuf2.0-common libgdk-pixbuf2.0-dev libgdl-3-5 libgegl-0.3-0 libgeocode-glib0 libgimp2.0 libgirepository-1.0-1
libgjs0e libgksu2-0 libglade2-0 libgladeui-2-6 libgladeui-common libgles2-mesa-dev libgnome-desktop-3-12 libgnomecanvas2-0 libgnomekbd-common
libgnomekbd8 libgoa-1.0-0b libgoa-1.0-common libgpod4 libgrilo-0.2-1 libgrilo-0.3-0 libgspell-1-1 libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0
libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk-3-dev libgtk-3-doc libgtk2-perl libgtk2.0-0 libgtk2.0-0:i386 libgtk2.0-bin libgtk2.0-cil
libgtk2.0-common libgtkd-3-0 libgtkglext1 libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtksourceview-3.0-1 libgtksourceview-3.0-common
libgtksourceview2.0-0 libgtkspell0 libgucharmap-2-90-7 libgupnp-1.0-4 libgupnp-igd-1.0-4 libgweather-3-6 libgweather-common libharfbuzz-dev
libharfbuzz-gobject0 libharfbuzz-icu0 libharfbuzz0b libharfbuzz0b:i386 libido-0.1-0 libido3-0.1-0 libindicator3-7 libindicator7
libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-4.0-18 libjson-glib-1.0-0 libjson-glib-1.0-common libkeybinder0
libkf5auth5 libkf5configgui5 libkf5configwidgets5 libkf5guiaddons5 libkf5iconthemes5 libkf5itemviews5 libkf5style5 libkf5widgetsaddons5
libkf5windowsystem5 libmediaart-2.0-0 libmetacity-private3a libmono-addins-gui0.2-cil libmx-1.0-2 libmx-bin libnemo-extension1 libnice10 libnm-gtk0
libnma0 libnotify-bin libnotify4 libopencv-contrib2.4v5 libopencv-highgui2.4v5 libopencv-legacy2.4v5 libopencv-objdetect2.4v5 libpango-1.0-0
libpango-1.0-0:i386 libpango-perl libpango1.0-0 libpango1.0-dev libpangocairo-1.0-0 libpangocairo-1.0-0:i386 libpangoft2-1.0-0
libpangoft2-1.0-0:i386 libpangomm-1.4-1v5 libpangox-1.0-0 libpangoxft-1.0-0 libpeas-1.0-0 libpeas-1.0-0-python2loader libpeas-common
libpolkit-qt5-1-1 libpurple-bin libpurple0 libqt5designer5 libqt5gui5 libqt5help5 libqt5libqgtk2 libqt5opengl5 libqt5printsupport5 libqt5quick5
libqt5svg5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
libreoffice-base-drivers libreoffice-calc libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-help-en-us
libreoffice-impress libreoffice-math libreoffice-ogltrans libreoffice-pdfimport libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb
libreoffice-writer librest-0.7-0 librhythmbox-core9 librsvg2-2 librsvg2-2:i386 librsvg2-common:i386 librsvg2-common libsdl2-2.0-0 libsdl2-dev
libsexy2 libsoup-gnome2.4-1 libsoup-gnome2.4-1:i386 libsoup2.4-1 libsoup2.4-1:i386 libswt-cairo-gtk-3-jni libswt-gtk-3-jni libthunarx-2-0
libtimezonemap1 libtotem-plparser18 libtracker-sparql-1.0-0 libunity9 libvala-0.32-0 libvala-0.32-dev libvte-2.91-0 libvte-2.91-common libvte9
libvted-3-0 libwayland-client0 libwayland-cursor0 libwayland-dev libwayland-egl1-mesa libwayland-server0 libwebkit2gtk-3.0-25 libwebkit2gtk-4.0-37
libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwmf0.2-7-gtk libwnck-3-0 libwnck-3-common libwnck22
libwxgtk3.0-0v5 libxapp1 libxfce4panel-2.0-4 libxfce4ui-1-0 libxfce4ui-2-0 libxfce4ui-utils libxfcegui4-4 libxplayer-plparser18 libxplayer0
libxreaderdocument3 libxreaderview3 libyelp0 mdm menulibre metacity metacity-common mint-artwork-common mint-artwork-gnome mint-artwork-xfce
mint-common mint-info-xfce mint-meta-core mint-user-guide-xfce mintbackup mintdesktop mintdrivers mintinstall mintlocale mintnanny mintsources
mintstick mintsystem mintupdate mintupload mintwelcome moka-icon-theme mousetweaks mplayer mugshot network-manager network-manager-gnome
network-manager-openvpn-gnome network-manager-pptp-gnome nvidia-prime-applet okular openarena pavucontrol pdfshuffler pidgin pinentry-gnome3 pix
pix-data plymouth-label policykit-1-gnome printer-driver-postscript-hp python-aptdaemon python-aptdaemon.gtk3widgets python-gi python-gi-cairo
python-glade2 python-gnomekeyring python-gobject python-gtk2 python-gtksourceview2 python-notify python-oneconf python-poppler python-pyatspi
python-pyatspi2 python-pyqt5 python-pyqt5.qtsvg python-pyqt5.qtwebkit python-sexy python-software-properties python-ubuntu-sso-client python-vte
python-webkit python-wxgtk3.0 python-zeitgeist python3-aptdaemon python3-aptdaemon.gtk3widgets python3-aptdaemon.pkcompat python3-gi
python3-gi-cairo python3-oneconf python3-pyatspi python3-uno python3-virtkey qbittorrent rhythmbox rhythmbox-data rhythmbox-plugin-cdrecorder
rhythmbox-plugin-looper rhythmbox-plugin-tray-icon rhythmbox-plugins seahorse sessioninstaller signon-ui signon-ui-x11 simple-scan
ssh-askpass-gnome synaptic system-config-printer-gnome thunar tilda tilix tomboy transmission-gtk tumbler ubuntu-settings ubuntu-system-adjustments
ubuntu-system-service valac-0.32-vapi vino virtualbox-5.1 virtualbox-guest-x11 vlc vlc-nox wayland-protocols xapps-common xdg-user-dirs-gtk
xed-common xfburn xfce4-appfinder xfce4-cpufreq-plugin xfce4-datetime-plugin xfce4-dict xfce4-eyes-plugin xfce4-indicator-plugin
xfce4-mailwatch-plugin xfce4-notifyd xfce4-panel xfce4-power-manager xfce4-power-manager-plugins xfce4-quicklauncher-plugin xfce4-screenshooter
xfce4-screenshooter-plugin xfce4-session xfce4-settings xfce4-systemload-plugin xfce4-taskmanager xfce4-time-out-plugin xfce4-timer-plugin
xfce4-verve-plugin xfce4-volumed xfce4-weather-plugin xfce4-whiskermenu-plugin xfce4-xkb-plugin xfdesktop4 xfwm4 xorg xplayer-common xscreensaver
xscreensaver-data xscreensaver-data-extra xscreensaver-gl xscreensaver-gl-extra xserver-xorg xserver-xorg-core xserver-xorg-input-all
xserver-xorg-input-evdev xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau
xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware yelp yelp-xsl zenity zenity-common
The following NEW packages will be installed:
libgpod4-nogtk pinentry-curses
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
mintsources python-gtk2 (due to mintsources) python-glade2 (due to mintsources) synaptic (due to mintsources) python-vte (due to mintsources)
0 upgraded, 2 newly installed, 608 to remove and 0 not upgraded.
Need to get 130 kB of archives.
After this operation, 2,425 MB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
?]



[1]: https://askubuntu.com/questions/704402/ ... uilder-ide

User avatar
MtnDewManiac
Level 6
Level 6
Posts: 1249
Joined: Fri Feb 22, 2013 5:18 pm
Location: United States

Re: How to downgrade packages that are updated by adding PPA?

Postby MtnDewManiac » Fri Nov 03, 2017 1:41 am

I cannot help with your issue, but wanted to mention that for LONG text pastes like that, you can enclose the entire thing between a set of CODE tags and it'll be easier to deal with (might just be my opinion there, lol, but...).

I do hope you manage to solve your problem. From a quick read, it almost reminds me of the time I thought I'd be smarter than mintUpdate and do my own messing around in a terminal window. For me, the solution was a distro reinstall.

Regards,
MDM
Mint 18 Xfce 4.12.

If guns kill people, then pencils misspell words, cars make people drive drunk, and spoons made Rosie O'Donnell fat.

User avatar
minitux
Level 5
Level 5
Posts: 580
Joined: Tue Sep 12, 2017 10:05 am

Re: How to downgrade packages that are updated by adding PPA?

Postby minitux » Fri Nov 03, 2017 3:48 am

I think the only thing to do is reinstalling the system.

next time, do not add ppa gnome and do not use dist-upgrade on Mint.

Or change distro.

Also the gnome-builder package is in the xenial repository and did not need gnome ppa staging and the dist-upgrade.

https://packages.ubuntu.com/xenial/edit ... me-builder
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

mr_raider
Level 6
Level 6
Posts: 1209
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: How to downgrade packages that are updated by adding PPA?

Postby mr_raider » Fri Nov 03, 2017 7:47 am

Under no circumstances should you use ppa-purge in mint.

Try using the software sources tool, disable the relevant repository and then downgrade foreign packages.
Image


Return to “XFCE”

Who is online

Users browsing this forum: No registered users and 3 guests